apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Roy T. Fielding" <field...@apache.org>
Subject Re: libtool fails version check in expat
Date Sat, 27 Apr 2002 05:52:45 GMT
> ltmain.sh is not in the repository for expat - this comes from
> (g)libtoolize when running apr-util/xml/expat/buildconf.sh.
>
> I bet you ran buildconf with 1.3.5, tried to build APR, it failed,
> you installed Pier's stuff to get 1.4+, reran buildconf and then
> ran into this.

Hmmm, I'm pretty sure I was very careful not to do that.  Oh, crap,
what I did was build within the same tree that I used to build on
under Linux (rsync'd over to my new G4).  Thanks for the tip.
>
> The following line in apr's buildconf looks like its corrollary
> is needed for expat:
>
> # Remove any libtool files so one can switch between libtool 1.3
> # and libtool 1.4 by simply rerunning the buildconf script.
> (cd build ; rm -f ltconfig ltmain.sh libtool.m4)
>
> How close am I?  -- justin
>
Yep, can you add that to expat's buildconf?  I'm going to sleep.

....Roy


Mime
View raw message